! test subroutine with dummy of array sections
!
	program try
	interface 
	subroutine sub2(a,b)
        integer a(4,4),b(4,4)
!!HPF$ INHERIT ::a,b
	end subroutine
	end interface

	PARAMETER (N=8)
	integer a(N,N),b(N,N)
!HPF$ PROCESSORS P(4)
!HPF$ DISTRIBUTE (block,*) :: a,b

	forall (i=1:N,j=1:N) a(i,j)=0
	forall (i=1:N,j=1:N) b(i,j)=0

	call sub2(a(5:8,1:4),b(1:4,5:8))

	print *,"a="
	do i =1,N
	print *,(a(i,j),j=1,N)
	enddo

	print *,"b="
	do i =1,N
	print *,(b(i,j),j=1,N)
	enddo

	end

	SUBROUTINE sub2(a,b)
	integer a(4,4),b(4,4)
!!HPF$ INHERIT ::a,b

	forall (i=1:4,j=1:4) a(i,j)=1
	forall (i=1:4,j=1:4) b(i,j)=2

	END
